Bug 1285919 - transmission-gtk 's icon can't be shown in Gnome3 panel with wayland
transmission-gtk 's icon can't be shown in Gnome3 panel with wayland
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: transmission (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: WaylandRelated
  Show dependency treegraph
 
Reported: 2015-11-26 19:43 EST by LiZhenbo
Modified: 2017-04-24 20 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-15 10:17:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Expect.png (120.89 KB, image/png)
2015-11-26 19:43 EST, LiZhenbo
no flags Details
Screenshot of desktop with no Transmission notification icon (52.29 KB, image/png)
2017-04-24 20:50 EDT, Shaun Assam
no flags Details

  None (edit)
Description LiZhenbo 2015-11-26 19:43:52 EST
Created attachment 1099507 [details]
Expect.png

Version-Release number of selected component (if applicable):
Name        : transmission-gtk
Version     : 2.84
Release     : 8.fc23

Name        : gnome-session-wayland-session
Version     : 3.18.1.2
Release     : 2.fc23

How reproducible:
Every time

Steps to Reproduce:
1. Log in gnome3 wayland, following https://fedoramagazine.org/help-fedora-test-wayland/
2. Open transmission-gtk

Actual results:
The icon of transmission-gtk can't be shown in panel

Expected results:
See screenshot

Additional info:
Comment 1 Fedora End Of Life 2016-11-24 08:46:26 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2016-12-20 11:20:16 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 Fedora End Of Life 2017-02-28 04:51:02 EST
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.
Comment 4 Kamil Páral 2017-03-16 04:49:12 EDT
Jon, can the fix go even to stable releases? Doesn't seem to work with transmission-gtk-2.92-1.fc25.x86_64.
Comment 5 Gwyn Ciesla 2017-03-16 08:54:02 EDT
I can't reproduce the problem on f25.
Comment 6 Shaun Assam 2017-04-24 20:50 EDT
Created attachment 1273768 [details]
Screenshot of desktop with no Transmission notification icon

This is a screenshot of my Fedora 25 desktop, using Wayland, showing no Transmission notification icon though the option is enabled in the program's settings.  The Dropbox icon is clearly displayed to help illustrate this issue.

Troubleshooting details:
- Performed System Update to ensure all packages are running their current stable versions.
- All extensions were disabled; performed logout and login to restart the session.
- Tried toggling the Notification Icon setting in Transmission ten times to see if the program or Gnome-Shell would crash; it didn't.

Note You need to log in before you can comment on or make changes to this bug.